commit f50b6823ea28f4fc00d899988bc3d73fdf2a7a69
Author: freddy77 <freddy77>
Date:   Thu Aug 20 15:14:18 2009 +0000

    fix describecol test

diff --git a/ChangeLog b/ChangeLog
index 752091f..932a125 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Aug 20 17:14:29 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: fix describecol test
+
 Wed Aug 19 13:48:28 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/data.c src/tds/token.c: handle variant data
 
@@ -1744,4 +1747,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2846 2009/08/19 11:47:52 freddy77 Exp $
+$Id: ChangeLog,v 1.2847 2009/08/20 15:14:18 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index e7ba3a6..4c55639 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.512 2009/06/10 18:54:38 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.513 2009/08/20 15:14:19 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -1891,6 +1891,8 @@ _SQLColAttribute(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLUSMALLINT fDescType, SQLP
 		break;
 #if SQL_COLUMN_TYPE != SQL_DESC_CONCISE_TYPE
 	case SQL_COLUMN_TYPE:
+#endif
+	case SQL_DESC_CONCISE_TYPE:
 		/* special case, get ODBC 2 type, not ODBC 3 SQL_DESC_CONCISE_TYPE (different for datetime) */
 		if (stmt->dbc->env->attr.odbc_version == SQL_OV_ODBC3) {
 			IOUT(SQLSMALLINT, drec->sql_desc_concise_type);
@@ -1915,11 +1917,6 @@ _SQLColAttribute(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLUSMALLINT fDescType, SQLP
 			IOUT(SQLSMALLINT, type);
 		}
 		break;
-#else
-	case SQL_DESC_CONCISE_TYPE:
-		IOUT(SQLSMALLINT, drec->sql_desc_concise_type);
-		break;
-#endif
 	case SQL_DESC_DISPLAY_SIZE:
 		IOUT(SQLLEN, drec->sql_desc_display_size);
 		break;

